Package org.globus.gsi.gssapi.example

# Class GetOpts

java.lang.Object
org.globus.gsi.gssapi.example.GetOpts

Direct Known Subclasses:
  `GetOpts`

public class GetOpts extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`anonymity`
`String`
`auth`
`boolean`
`conf`
`boolean`
`deleg`
`boolean`
`gsiMode`
`protected String`
`helpMsg`
`int`
`lifetime`
`boolean`
`limitedDeleg`
`boolean`
`rejectLimitedProxy`
`protected String`
`usage`

## Constructor Summary

Constructors
Constructor
Description
`GetOpts(String usage, String helpMsg)`

## Method Summary

Modifier and Type
Method
Description
`protected static void`
`error(String msg)`
`int`
`parse(String[] args)`
`protected int`
`parseArg(String[] args, int i)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### conf

public boolean conf

### lifetime

public int lifetime

### gsiMode

public boolean gsiMode

### deleg

public boolean deleg

### limitedDeleg

public boolean limitedDeleg

### rejectLimitedProxy

public boolean rejectLimitedProxy

### anonymity

public boolean anonymity

### auth

public String auth

### usage

protected String usage

### helpMsg

protected String helpMsg

## Constructor Details

### GetOpts

public GetOpts(String usage, String helpMsg)

## Method Details

### parse

public int parse(String[] args)

### parseArg

protected int parseArg(String[] args, int i)

### error

protected static void error(String msg)